/**
 * -------------------------------------------------------- *
 * --------------------- ПРИМЕРЫ DATE --------------------- *
 * -------------------------------------------------------- *
 */

// объявление
let d = new Date(); // по умолчанию текущая дата
console.log(d); // 2021-10-28T11:59:47.365Z
// если в конструктор передать число
// Date воспримет это как количество миллисекунд
// начиная с 1 января 1970 ого года
// 21 день по 24 часа по 60 минут по 60 секунд по 1000 мл.сек
d = new Date(21 * 24 * 60 * 60 * 1000)
console.log(d); // 1970-01-22T00:00:00.000Z

/**
 * Целое число, которое задается от 1 января 1970 года называется 'timestamp' временной меткой
 */

// теперь давайте зададим время используя строку
// 2021 год, ноябрь, 22 число
let d1 = new Date("2021-10-22");
console.log(d1); // 2021-10-22T00:00:00.000Z
/*
Можно задать время используя числа через запятую
2021 год, ноябрь, 21 число
12 часов, 12 минут, 12 секунд
40 миллисекунд
*/
let d2 = new Date(2021, 10, 22, 12, 12, 12, 40);
console.log(d2);
// можно получить конкретный месяц, день, год
let d3 = new Date(21 * 12 * 30 * 24 * 3600 * 1000);
console.log(d3.getFullYear()); // 1990
console.log(d3.getDay()); // 4
console.log(d3.getMonth()); // 8